pua(1)

NAME
pua - command line utility to manipulate users.

DESCRIPTION
Command line interface (cli) used with pglistener and manipulate users.

USAGE
Start using the tool by typing “pua” on console:

$ pua

To get help, type "?" in the prompt:

cmd >> ?

Options:

    Create new user:
        new $name [--groupname]
    Edit a particular user:
        enter (part of) the name
    When editing a user, the following commands are available:
        C-d/EOF to exit the current user
        SSH keys:
            ssh list
            ssh add [host $hostname], reads string, waits for C-d
            ssh delete $id
        Setting and getting fields:
            set name $name
            set shell $shell
            set password $md5sum
            set gpg_key $gpg_fingerprint
            show [$field]
            disable
            enable
            revoke [--community]
        Managing group membership
            group list
            group add $group
            group delete $group
        Managing email addresses
            email list
            email add $email [--customary]
            email delete $email

AUTHOR
The pua was written by Rob Bradford <rob@robster.org.uk>, Robert McQueen <robert.mcqueen@bluelinux.co.uk> and Dafydd Harries <dafydd.harries@collabora.co.uk>

For a complete list of authors, please open AUTHORS file.

This manual page was written by Paulo Henrique de Lima Santana (phls) <phls@debian.org> for the Debian project (but may be used by others).